jEdit Community - Resources for users of the jEdit Text Editor
jedit debian packages are not installable on debian testing
Submitted by Archimedes on Monday, 10 May, 2010 - 16:28
The debian packages of jedit (4.3.2) cant be installed with dpkg (im at debian testing and dpkg 1.15.7.1). The error is:

...
parse error in file '...' near line 7 package 'jedit'
duplicate value for 'Architecture' fiels
...

My last "install" time was the 4.3(.0) version, so i tried that deb, which results in the same error. For completness i checked the 4.3.1 version also, same result.
It seems that a change in dpkg causes this new more strict behaviuor.

The fix is quite simple:

I extracted the deb file and the "rules" stuff
mkdir jedit
dpkg -x jedit_4.3.2_all.dep jedit
mkdir jedit/DEBIAN
dpkg -e jedit_4.3.2_all.dep jedit/DEBIAN

remove the second "Architecture" line in the jedit/DEBIAN/control file and build a new one:

dpkg -c jedit

The resulting jedit.deb is installable without the error.
Comment viewing options
Select your preferred way to display the comments and click 'Save settings' to activate your changes.
Bug tracker
by Robert Schwenn on Mon, 10/05/2010 - 21:03
see Bug tracker: http://sourceforge.net/tracker/?func=detail&atid=100588&aid=2999456&group_id=588
User login
Browse archives
« February 2018  
MoTuWeThFrSaSu
 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
 
Poll
Are you interested in language packs for jEdit?
Yes, and I could help maintain translations
26%
Yes, I'd like to have translations
33%
Indifferent
35%
No, that'd be bad (please comment)
7%
Total votes: 1092
Syndication
file   ver   dls
German Localization light   4.4.2.1   51056
Context Free Art (*.cfdg)   0.31   41260
JBuilder scheme   .001   17053
BBEdit scheme   1.0   16658
ColdFusion scheme   1.0   16636
R Edit Mode - extensive version   0.1   14919
Advanced HTML edit mode   1.0   14092
Matlab Edit Mode   1.0   14038
jEdit XP icons   1.0   13463
XP icons for jEdit   1.1   12487